Bug 194073 - mcstrans attempts to start even when selinux is not active
mcstrans attempts to start even when selinux is not active
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mcstrans (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-05 13:12 EDT by Michal Jaegermann
Modified: 2008-04-03 13:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 13:29:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2006-06-05 13:12:22 EDT
Description of problem:

/etc/init.d/mcstrans by default tries to start mstransd even if selinux
is not active and this clearly does not make sense.  mstransd does exit
quitely but with an error status and this is causing spurious [FAILED]
messages.

True, this service could be turned off with chkconfig but this may be
not desirable if selinux got turned on.  A better alternative seems to
be to check if selinux is active and quietly bail out without further
actions if this is the case.  The same test which is already in use in
/etc/rc.d/rc.sysinit could be adopted.

Version-Release number of selected component (if applicable):
mcstrans-0.1.5-1

How reproducible:
always
Comment 1 Daniel Walsh 2006-06-06 15:53:39 EDT
Fixed in mcstrans-0.1.6
Comment 2 Bug Zapper 2008-04-03 13:20:03 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Note You need to log in before you can comment on or make changes to this bug.